(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["common"],{

/***/ "1peu":
/*!*********************************************************************!*\
  !*** ./src/app/shared/services/dashboardConfig/Enum/WidgetsType.ts ***!
  \*********************************************************************/
/*! exports provided: EnumWidgetType */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EnumWidgetType", function() { return EnumWidgetType; });
const EnumWidgetType = {
    CHART: '1',
    METER: '2',
    SITE_INFO: '3',
    SITE_MAP: '4',
    ENERGY_EFFICIENCY: '5',
    ENVIRONMENTAL_IMPACT: '6',
    OTHER_WIDGETS: '99',
    SITE_QUERY_STATUS: '7'
};


/***/ }),

/***/ "3LlF":
/*!*****************************************************************!*\
  !*** ./src/app/shared/services/sgUgMapping/Enum/sourceGroup.ts ***!
  \*****************************************************************/
/*! exports provided: EnumSourceGroup */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EnumSourceGroup", function() { return EnumSourceGroup; });
const EnumSourceGroup = {
    SITE_GROUP: 'siteGroup',
    USER_GROUP: 'userGroup',
    CONTAINER_GROUP: 'containerGroup',
};


/***/ }),

/***/ "PIOd":
/*!********************************************!*\
  !*** ./src/app/shared/Models/UserGroup.ts ***!
  \********************************************/
/*! exports provided: UserGroup */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UserGroup", function() { return UserGroup; });
class UserGroup {
}


/***/ }),

/***/ "QE3v":
/*!*********************************************************************!*\
  !*** ./src/app/shared/services/meterConfig/meter-config.service.ts ***!
  \*********************************************************************/
/*! exports provided: MeterConfigService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MeterConfigService", function() { return MeterConfigService; });
/* harmony import */ var _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/SentinllURLS */ "36yO");
/* harmony import */ var _api_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../api.service */ "nm5K");
/* harmony import */ var _enums_session_storage_keys_enum__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../enums/session-storage-keys.enum */ "uD7V");
/* harmony import */ var _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../energyUnitRatesService/energy-unit-rates.service */ "c34X");
/* harmony import */ var _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/IConstants */ "eFRe");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @angular/core */ "fXoL");








class MeterConfigService {
    constructor(apiService, energyUnitRatesService) {
        this.apiService = apiService;
        this.energyUnitRatesService = energyUnitRatesService;
    }
    /**
     * Create Site
     * @param meter
     */
    createMeter(meter, config = { errorHandlerCallback: null }) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].CREATE_METER, meter, config);
    }
    /**
     * This function is used to create get Site on the basis of id
     * @param SiteId
     */
    getMeterList(SiteId, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_METER + SiteId + '/getMeterConfigsBySiteId', config);
    }
    /**
     * This function is used to create get Site on the basis of id
     * @param meterId
     */
    getMeterById(meterId, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_METER + meterId, config);
    }
    /**
     * Update Meter
     * @param meter
     */
    updateMeter(meter, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].UPDATE_METER, meter, config);
    }
    /**
     * Delete site Group  APi Implemantation
     * @param siteGroupId
     * @return {Observable: response}
     */
    deleteMeter(meter, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].DELETE_METER, meter, config);
    }
    /**
     * Delete Multi meter APi Implemantation
     * @param siteGroupId
     * @return {Observable: response}
     */
    deleteMultipleMeter(meter, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].DELETE_MULTIPLE_METER, meter, config);
    }
    setSelectedSiteId(selectedSiteId) {
        this.selectedSiteId = selectedSiteId;
        sessionStorage.setItem(_enums_session_storage_keys_enum__WEBPACK_IMPORTED_MODULE_2__["SessionStorageKeys"].PREVIOUS_SELECTED_METER_SITE_ID, this.selectedSiteId);
    }
    getSelectedSiteId() {
        return sessionStorage.getItem(_enums_session_storage_keys_enum__WEBPACK_IMPORTED_MODULE_2__["SessionStorageKeys"].PREVIOUS_SELECTED_METER_SITE_ID);
    }
    hideAnalogSVGElementLoading(analogloaderClass, analogSVGElementClass) {
        this.hideLoader(analogloaderClass, analogSVGElementClass);
    }
    hideHybridSVGElementLoading(hybridloaderClass, hybridSVGElementClass, hiddenElements) {
        const allhiddenElements = document.getElementsByClassName(hiddenElements);
        if (allhiddenElements && allhiddenElements.length) {
            for (let i = 0; i < allhiddenElements.length; i++) {
                const hiddenElement = allhiddenElements[i];
                hiddenElement.style.display = _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__["IConstants"].DISPLAY_BLOCK;
            }
        }
        this.hideLoader(hybridloaderClass, hybridSVGElementClass);
    }
    hideLoader(loaderClass, elementClass) {
        const svgElements = document.getElementsByClassName(elementClass);
        if (svgElements && svgElements.length) {
            for (let i = 0; i < svgElements.length; i++) {
                const svgElement = svgElements[i];
                svgElement.style.display = _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__["IConstants"].DISPLAY_BLOCK;
            }
        }
        const loaders = document.getElementsByClassName(loaderClass);
        if (loaders && loaders.length) {
            for (let i = 0; i < loaders.length; i++) {
                const loader = loaders[i];
                loader.style.display = _utils_IConstants__WEBPACK_IMPORTED_MODULE_4__["IConstants"].DISPLAY_NONE;
            }
        }
    }
    // get cost.
    getCost(objectId, allObjects, allSentinllObjects, meter, name = null, uniqueContainerId) {
        let value = document.getElementById(objectId).innerText;
        let objectIds = objectId;
        if (value === '-' || (name && name.toUpperCase() !== 'TOTAL USAGE')) {
            return '-';
        }
        else {
            let cost = '-';
            let value;
            let conversionValue;
            let unitRate;
            let energyType;
            let energyUnitRates;
            // get object value.
            const object = allObjects.find(obj => uniqueContainerId + obj.sentinllObjectId === objectId);
            if (object) {
                value = object.value;
            }
            // get conversion value.
            if (name) {
                objectIds = object.sentinllObjectId;
            }
            const sentinllObject = allSentinllObjects.find(sentinllObject => sentinllObject.id === objectIds);
            if (sentinllObject && sentinllObject.energyUnitRateConversion) {
                conversionValue = sentinllObject.energyUnitRateConversion.conversionValue;
                energyType = sentinllObject.energyUnitRateConversion.energyType;
            }
            if (!conversionValue) {
                conversionValue = 1;
            }
            energyUnitRates = _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__["EnergyUnitRatesService"].getEnergyUnits();
            // get unit rate.
            if (object && energyUnitRates && energyUnitRates.length && energyType) {
                unitRate = _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__["EnergyUnitRatesService"].getUnitRate(object.timestamp, energyUnitRates, energyType);
            }
            // get cost.
            if (value && conversionValue && unitRate) {
                cost = _energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__["EnergyUnitRatesService"].getCost(value, conversionValue, unitRate);
            }
            if (meter.currencySymbol && cost !== '-') {
                cost = meter.currencySymbol + cost;
            }
            return cost;
        }
    }
    //  used to hide and show cost.
    toggleCost(isShowCost, meter) {
        let isShowCosts = !isShowCost;
        if (isShowCosts) {
            this.energyUnitRatesService.getEnergyUnitsBySiteId(meter.siteId);
        }
        return isShowCosts;
    }
    /**
     * To change Execution status.
     * @param changQueryState
     * @param config
     */
    changeExecutionStatus(changQueryState, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].METER_QUERY_STATUS, changQueryState, config);
    }
    /**
     * This function is used to create get Chart List on the basis of site id
     * @param siteId
     * @param config
     */
    getCommomSiteMeterList(siteId, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].COMMON_SITE_METER + siteId + '/getMeterConfigsBySiteId', config);
    }
    /**
    * This function is used to get meter list with pagination.
    * @param SiteId
    * @param offset
    * @param num
    * @param config
    */
    getMeterListBySiteIdWithPagination(siteId, offset, num, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_METER + siteId + '/getMeterConfigsBySiteId?offset=' + offset + '&num=' + num, config);
    }
}
MeterConfigService.ɵfac = function MeterConfigService_Factory(t) { return new (t || MeterConfigService)(_angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_api_service__WEBPACK_IMPORTED_MODULE_1__["ApiService"]), _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵinject"](_energyUnitRatesService_energy_unit_rates_service__WEBPACK_IMPORTED_MODULE_3__["EnergyUnitRatesService"])); };
MeterConfigService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_5__["ɵɵdefineInjectable"]({ token: MeterConfigService, factory: MeterConfigService.ɵfac, providedIn: 'root' });


/***/ }),

/***/ "SWoU":
/*!**************************************************************************!*\
  !*** ./src/app/shared/services/deviceService/sentinll-device.service.ts ***!
  \**************************************************************************/
/*! exports provided: SentinllDeviceService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SentinllDeviceService", function() { return SentinllDeviceService; });
/* harmony import */ var src_environments_environment__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! src/environments/environment */ "AytR");
/* harmony import */ var _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/SentinllURLS */ "36yO");
/* harmony import */ var _api_service__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../api.service */ "nm5K");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @angular/core */ "fXoL");





class SentinllDeviceService {
    constructor(apiService) {
        this.apiService = apiService;
    }
    /*This function is used to create sentinll device*/
    createSentinllDevice(sentinllDevice, config = { errorHandlerCallback: null }) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].CREATE_SENTINLL_DEVICE, sentinllDevice, config);
    }
    /*This function is used to login sentinll device*/
    login(sentinllDevice, config = { errorHandlerCallback: null }) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].DEVICE_LOGIN, sentinllDevice, config);
    }
    /*This function is used to update sentinll device*/
    updateSentinllDevice(sentinllDevice, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].UPDATE_SENTINLL_DEVICE, sentinllDevice, config);
    }
    /*This function is used to update sentinll device password*/
    updatePassword(sentinllDevice, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].CHANGE_SENTINLL_DEVICE_PASSWORD, sentinllDevice, config);
    }
    /*This function is used to delete sentinll device*/
    deleteSentinllDevice(sentinllDevice, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].DELETE_SENTINLL_DEVICE, {
            id: sentinllDevice
        }, config);
    }
    /*This function is used to get sentinll device data on the basis of site id*/
    getDevicesListBySiteId(siteId, offset, num, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICE_BY_SITE +
            siteId +
            '/getDevicesBySiteId?offset=' +
            offset +
            '&num=' +
            num, config);
    }
    /**
     * function to get device by id
     * @param id
     */
    getDeviceById(id, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICE_BY_SITE + id, config);
    }
    //function to get local server device list
    getLocalServerDeviceList(config = { errorHandlerCallback: null }) {
        return this.apiService.get(src_environments_environment__WEBPACK_IMPORTED_MODULE_0__["environment"].WEB_SERVER_BASE_URL + _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].DEVICE_LIST, config);
    }
    /**
   * function to get device by id
   * @param id
   */
    getLocalDeviceById(config = { errorHandlerCallback: null }) {
        return this.apiService.get(src_environments_environment__WEBPACK_IMPORTED_MODULE_0__["environment"].WEB_SERVER_BASE_URL + _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].DEVICE_BY_ID, config);
    }
    /***
     * This function is used to get sentinll device data on the basis of site id
     * @param companyId
     * */
    getDevicesByCompanyId(companyId, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICE_BY_SITE + companyId + '/getDevicesByCompanyId', config);
    }
    /***
     * This function is used to get sentinll device data on the basis of site id
     * */
    getDevicesByCompanyIdWithPagination(companyId, offset, num, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICE_BY_SITE + companyId + '/getDevicesByCompanyId?offset=' + offset + '&num=' + num, config);
    }
    /***
       * This function is used to get sentinll device data on the basis of site id
       * @param SiteId
       * */
    getDevicesBySiteId(SiteId, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICE_BY_SITE + SiteId + '/getDevicesBySiteId', config);
    }
    /***
      * This function is used to get device list by company id with the query string.
      * */
    getDevicesByCompany(config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICES_BY_COMPANY + 'getDevicesByCompany?type=1', config);
    }
    /**
     * Use to save the device and side mapping.
     * ***/
    createSiteDeviceMapping(siteDeviceMapping, config = { errorHandlerCallback: null }) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_1__["SentinllURLS"].GET_DEVICE_BY_SITE + 'createSiteDeviceMapping', siteDeviceMapping, config);
    }
}
SentinllDeviceService.ɵfac = function SentinllDeviceService_Factory(t) { return new (t || SentinllDeviceService)(_angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵinject"](_api_service__WEBPACK_IMPORTED_MODULE_2__["ApiService"])); };
SentinllDeviceService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_3__["ɵɵdefineInjectable"]({ token: SentinllDeviceService, factory: SentinllDeviceService.ɵfac, providedIn: 'root' });


/***/ }),

/***/ "Vx6Y":
/*!***************************************************!*\
  !*** ./src/app/shared/enums/access-token.enum.ts ***!
  \***************************************************/
/*! exports provided: AccessToken */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccessToken", function() { return AccessToken; });
var AccessToken;
(function (AccessToken) {
    AccessToken["DEFAULT"] = "1";
    AccessToken["VISITOR"] = "2";
})(AccessToken || (AccessToken = {}));


/***/ }),

/***/ "YvJ1":
/*!************************************************************************!*\
  !*** ./src/app/shared/services/siteGroupService/site-group.service.ts ***!
  \************************************************************************/
/*! exports provided: SiteGroupService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SiteGroupService", function() { return SiteGroupService; });
/* harmony import */ var _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/SentinllURLS */ "36yO");
/* harmony import */ var _api_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../api.service */ "nm5K");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ "fXoL");




class SiteGroupService {
    constructor(apiService) {
        this.apiService = apiService;
    }
    /*Create Site UserGroup*/
    createSiteGroup(siteGroup, config = { errorHandlerCallback: null }) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].CREATE_SITE_GROUP, siteGroup, config);
    }
    /* This function is used to create get Site on the basis of id */
    getSiteGroupByCompanyId(companyId, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_SITE_GROUP + companyId + '/getSiteGroupsByCompanyId', config);
    }
    /*Update Site Group*/
    updateSiteGroup(siteGroup, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].UPDATE_SITE_GROUP, siteGroup, config);
    }
    /*Get Site Group*/
    getSiteGroup(siteGroupID, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_SITE_GROUP + siteGroupID, config);
    }
    /**
     * This function is used to create get Site on the basis of id with server side pagination .
     * @param companyId
     * @param offset
     * @param num
     */
    getSiteGroupList(companyId, offset, num, config = { errorHandlerCallback: null }) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_SITE_GROUP + companyId + '/getSiteGroupsByCompanyId?offset=' + offset + '&num=' + num, config);
    }
    /**
     * Delete site Group  APi Implemantation
     * @param siteGroupId
     * @return {Observable: response}
     */
    deleteSiteGroup(siteGroup, config = { errorHandlerCallback: null }) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].DELETE_SITE_GROUP, siteGroup, config);
    }
}
SiteGroupService.ɵfac = function SiteGroupService_Factory(t) { return new (t || SiteGroupService)(_angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵinject"](_api_service__WEBPACK_IMPORTED_MODULE_1__["ApiService"])); };
SiteGroupService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵdefineInjectable"]({ token: SiteGroupService, factory: SiteGroupService.ɵfac, providedIn: 'root' });


/***/ }),

/***/ "c7+z":
/*!*************************************************!*\
  !*** ./src/app/shared/Models/ContainerGroup.ts ***!
  \*************************************************/
/*! exports provided: ContainerGroup, ContainterGroupMapping, ContainterGroupUserGroupMapping */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ContainerGroup", function() { return ContainerGroup; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ContainterGroupMapping", function() { return ContainterGroupMapping; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ContainterGroupUserGroupMapping", function() { return ContainterGroupUserGroupMapping; });
/* harmony import */ var _DTO_ApiRequest__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../DTO/ApiRequest */ "ackF");

class ContainerGroup {
}
class ContainterGroupMapping extends _DTO_ApiRequest__WEBPACK_IMPORTED_MODULE_0__["ApiRequest"] {
    constructor() {
        super(...arguments);
        this.containerIds = [];
        this.containerGroupIds = [];
    }
}
class ContainterGroupUserGroupMapping extends _DTO_ApiRequest__WEBPACK_IMPORTED_MODULE_0__["ApiRequest"] {
    constructor() {
        super(...arguments);
        this.containerGroupIds = [];
        this.userGroupIds = [];
    }
}


/***/ }),

/***/ "dOjr":
/*!*****************************************************!*\
  !*** ./src/app/shared/Models/EnergyUnitCostRate.ts ***!
  \*****************************************************/
/*! exports provided: EnergyUnitCostRate, EnergyUnitRate, UnitCost */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EnergyUnitCostRate", function() { return EnergyUnitCostRate; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EnergyUnitRate", function() { return EnergyUnitRate; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UnitCost", function() { return UnitCost; });
class EnergyUnitCostRate {
    constructor() {
        this.energyUnitRates = new Array();
    }
}
class EnergyUnitRate {
    constructor() {
        this.unitCosts = new Array();
    }
}
class UnitCost {
}


/***/ }),

/***/ "h9Z4":
/*!**************************************************!*\
  !*** ./src/app/shared/utils/MessageConstants.ts ***!
  \**************************************************/
/*! exports provided: MessageConstants */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MessageConstants", function() { return MessageConstants; });
class MessageConstants {
}
MessageConstants.DEFAULT_CONTACT = 'At least one site contact should remain active.';
MessageConstants.COMPANY_DEFAULT_CONTACT = 'At least one company contact should remain active.';
MessageConstants.RESELLER_DEFAULT_CONTACT = 'At least one reseller contact should remain active.';


/***/ }),

/***/ "hgFF":
/*!**********************************************!*\
  !*** ./src/app/shared/Models/SgUgMapping.ts ***!
  \**********************************************/
/*! exports provided: SgUgMapping */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SgUgMapping", function() { return SgUgMapping; });
/* harmony import */ var _DTO_ApiRequest__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../DTO/ApiRequest */ "ackF");

class SgUgMapping extends _DTO_ApiRequest__WEBPACK_IMPORTED_MODULE_0__["ApiRequest"] {
    constructor() {
        super(...arguments);
        this.siteGroupIds = [];
        this.userGroupIds = [];
    }
}


/***/ }),

/***/ "vrJm":
/*!*******************************************************!*\
  !*** ./src/app/engineering-center/Enum/DeviceType.ts ***!
  \*******************************************************/
/*! exports provided: EnumDeviceType */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EnumDeviceType", function() { return EnumDeviceType; });
const EnumDeviceType = {
    BUBLL_DEVICE: '2',
    SENTINLL_DEVICE: '1'
};


/***/ }),

/***/ "w4xG":
/*!**********************************************************************************!*\
  !*** ./src/app/shared/services/containerGroupService/container-group.service.ts ***!
  \**********************************************************************************/
/*! exports provided: ContainerGroupService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ContainerGroupService", function() { return ContainerGroupService; });
/* harmony import */ var _utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/SentinllURLS */ "36yO");
/* harmony import */ var _api_service__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../api.service */ "nm5K");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @angular/core */ "fXoL");




class ContainerGroupService {
    constructor(apiService) {
        this.apiService = apiService;
    }
    /**
     * Function Use to create container group
     * @param ContainerGroup
     **/
    createContainerGroup(containerGroup) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].CREATE_CONTAINER_GROUP, containerGroup);
    }
    /**
   * Function Use to update container group
   * @param ContainerGroup
   **/
    updateContainerGroup(containerGroup) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].UPDATE_CONTAINER_GROUP, containerGroup);
    }
    /**
     * Use to return the list of all container group by company id.
     * @param companyId
     * @param offset
     * @param num
     * */
    getContainerGroupsByCompanyId(companyId, offset, num) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_CONTAINER_GROUP + companyId + '/getContainerGroupsByCompanyId?offset=' + offset + '&num=' + num);
    }
    /**
     * Function Use to get container group by Id.
     * @param containerGroupId
     **/
    getContainerGroupById(containerGroupId) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_CONTAINER_GROUP + containerGroupId);
    }
    /**
     * Delete Container Group.
     * @param containerId
     * */
    deleteContainerGroup(containerId) {
        return this.apiService.put(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].DELETE_CONTAINER_GROUP, containerId);
    }
    /**
     * Get Container Groups By container group Id
     * @param groupId
     * */
    getAddedContainersByGroupId(groupId) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_CONTAINER_GROUP + groupId + '/getContainersByContainerGroupId');
    }
    /**
     * Use to create group mapping
     * @param ContainterGroupMapping
     * */
    createContainerGroupMapping(containterGroupMapping) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].CREATE_CONTAINER_GROUP_MAPPING, containterGroupMapping);
    }
    /**
     * Use to return the list of all container group by company id.
     * @param companyId
     * */
    getAllContainerGroupsByCompanyId(companyId) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_CONTAINER_GROUP + companyId + '/getContainerGroupsByCompanyId');
    }
    /**
     * Use to return the list of all user group by container group id.
     * @param containerGroupId
     * */
    getUserGroupByContainerGroupId(containerGroupId) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_CONTAINER_GROUP_USER_GROUP_MAPPING + containerGroupId + '/getUserGroupsByContainerGroupId');
    }
    /**
     * Use to create group mapping
     * @param ContainterGroupUserGroupMapping
     * */
    createUserGroupContainerGroupMapping(containterGroupUserGroupMapping) {
        return this.apiService.post(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].CREATE_CONTAINER_GROUP_USER_GROUP_MAPPING, containterGroupUserGroupMapping);
    }
    /**
     * Use to return the list of all container group by user group id.
     * @param userGroupId
     * */
    getConatinerGroupByUserGroupId(userGroupId) {
        return this.apiService.get(_utils_SentinllURLS__WEBPACK_IMPORTED_MODULE_0__["SentinllURLS"].GET_CONTAINER_GROUP_USER_GROUP_MAPPING + userGroupId + '/getContainerGroupsByUserGroupId');
    }
}
ContainerGroupService.ɵfac = function ContainerGroupService_Factory(t) { return new (t || ContainerGroupService)(_angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵinject"](_api_service__WEBPACK_IMPORTED_MODULE_1__["ApiService"])); };
ContainerGroupService.ɵprov = _angular_core__WEBPACK_IMPORTED_MODULE_2__["ɵɵdefineInjectable"]({ token: ContainerGroupService, factory: ContainerGroupService.ɵfac, providedIn: 'root' });


/***/ })

}]);
//# sourceMappingURL=common-es2015.js.map